commit: badbb0e76e7debe8c0c03116a64f151af8382b22
Author: Andreas Sturmlechner <asturm <AT> gentoo <DOT> org>
AuthorDate: Sun Aug 26 10:01:09 2018 +0000
Commit: Andreas Sturmlechner <asturm <AT> gentoo <DOT> org>
CommitDate: Sun Aug 26 11:02:22 2018 +0000
URL: https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=badbb0e7
sci-libs/itpp: Add missing || die
Package-Manager: Portage-2.3.48, Repoman-2.3.10
sci-libs/itpp/itpp-4.3.1-r1.ebuild | 6 +++---
1 file changed, 3 insertions(+), 3 deletions(-)
diff --git a/sci-libs/itpp/itpp-4.3.1-r1.ebuild
b/sci-libs/itpp/itpp-4.3.1-r1.ebuild
index 3abddec3041..53cdbee6564 100644
--- a/sci-libs/itpp/itpp-4.3.1-r1.ebuild
+++ b/sci-libs/itpp/itpp-4.3.1-r1.ebuild
@@ -1,4 +1,4 @@
-# Copyright 1999-2017 Gentoo Foundation
+# Copyright 1999-2018 Gentoo Foundation
# Distributed under the terms of the GNU General Public License v2
EAPI=5
@@ -37,8 +37,8 @@ src_prepare() {
itpp/CMakeLists.txt || die
# respect gentoo libdir
- sed -i "s#/lib#/$(get_libdir)#" itpp-config.cmake.in
- sed -i "s#/lib#/$(get_libdir)#" itpp.pc.cmake.in
+ sed -i "s#/lib#/$(get_libdir)#" itpp-config.cmake.in || die
+ sed -i "s#/lib#/$(get_libdir)#" itpp.pc.cmake.in || die
sed -i \
-e "s#LIBRARY DESTINATION lib#LIBRARY DESTINATION
$(get_libdir)#" \
-e "s#ARCHIVE DESTINATION lib#ARCHIVE DESTINATION
$(get_libdir)#" \